coupang
DELETE/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}2609170000

Delete a Product

# 01

Summary

Delete a Product

# 02

Details

Available buyer market: Korea, Taiwan

You can delete a listed product.

You can delete a product that is not waiting for approval and if all the options (item) included in the product have been suspended.

Path

DELETE/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}

URL API Name

DELETE_PRODUCT
# 03

Path parameters

NameTypeDescription
sellerProductId*number
Listed product ID;
It can be found via Product Query API
once a product is created.
# 04

Response body

Response message

NameTypeDescription
codestring
Result code;
SUCCES/ERROR
messagestring
Message
datastring
ID of the listed product that has been deleted

Response Example

{
  "code": "SUCCESS",
  "message": "삭제되었습니다",
  "data": "10***16568"
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check Request Parameter)

The seller product [103***11234] does not exist or cannot be deleted. You can only delete when its status is 'Saving' or 'Saving Temporarily'.

Make sure that the listed product ID (sellerProductId) is deleted. Make sure that you have suspended the options (item) included in the product first.

400400 (Check Request Parameter)

Make sure that the seller product ID [None] is in numbers.

Make sure that the listed product ID (sellerProductId) has correct values (numbers only).